File gnome-netspeed-applet.changes of Package gnome-netspeed-applet

-------------------------------------------------------------------
Sat Oct 15 04:47:07 UTC 2011 - coolo@suse.com

- add libtool as buildrequire to make the spec file more reliable

-------------------------------------------------------------------
Tue May 31 14:37:00 CEST 2011 - vuntz@opensuse.org

- Use favor_gtk2 to switch between gtk2 and gtk3 builds.
- Add gnome-netspeed-applet-gnome3.patch: this patch taken from
  upstream bugzilla ports the applet to the new gnome-panel. Only
  apply if favor_gtk2 is not set, and call autoreconf -fi in that
  case.
- For gtk3 build, move to pkgconfig()-style and GNOME 3
  BuildRequires:
  + Old ones: gnome-panel-devel, libgtop-devel.
  + New ones: libgtop-2.0, libpanelapplet-4.0.

-------------------------------------------------------------------
Sat Feb 12 18:43:00 CET 2011 - vuntz@opensuse.org

- Pass %{?no_lang_C} to %find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.

-------------------------------------------------------------------
Thu Aug 26 11:31:40 CEST 2010 - vuntz@opensuse.org

- Update to version 0.16:
  + Use default route.
  + Only update icon quality for wireless.
  + Fix quality calculation.
  + Disconnect "changed" on icon theme upon destruction.
  + Fix out-of-bounds access.
  + Take maximum quality into account of quality calculation, if
    this can be queried from the driver.
  + Small bug fixes.
  + Updated translations.
- Changes from version 0.15.2:
  + Fix an icon.
  + Updated translations.
- Changes from version 0.15.1:
  + Add wireless support.
  + Use desktop font and set update interval to 1s; remove options
    for this.
  + Stop using deprecated icon names.
  + Remove dependency on libgnomeui.
  + New icons.
  + Make sure the tooltip is correctly updated.
  + Improve detection of dummy devices.
  + Remove confusing option "always monitor connected device" and
    instead add an entry "Default" into the devices combo.
  + Various cleanups and build fixes.
  + Updated translations.
- Remove libgnomeui-devel and pkgconfig BuildRequires.
- Split a lang subpackage.
- Improve summary and description.
- Pass --disable-scrollkeeper to configure instead of manually
  removing the files in %install.
- Update the icon theme cache in %post/%postun on 11.4 and later.

-------------------------------------------------------------------
Sun Jul 19 12:57:50 CEST 2009 - dominique-obs@leuenberger.net

- Follow the change of libexecdir to /usr/lib 

-------------------------------------------------------------------
Thu Oct 11 14:36:27 CEST 2007 - sassmann@suse.de

- initial release of netspeed applet